package com.gyee.frame.service.report;

import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.Wttragetreportpart3Mapper;
import com.gyee.frame.model.auto.Wttragetreportpart3;
import com.gyee.frame.model.auto.Wttragetreportpart3Example;
import com.gyee.frame.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 线路 Wttragetreportpart3Service
 * @Title: Wttragetreportpart3Service.java 
 * @Package com.gyee.frame.service 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-31 14:58:09  
 **/
@Service
public class Wttragetreportpart3Service implements BaseService<Wttragetreportpart3, Wttragetreportpart3Example> {
	@Resource
	private Wttragetreportpart3Mapper wttragetreportpart3Mapper;
	
   
	@Override
	public int deleteByPrimaryKey(String ids) {
				
			List<Integer> lista=Convert.toIntArrayList(ids);
			Wttragetreportpart3Example example=new Wttragetreportpart3Example();
			example.createCriteria().andIdIn(lista);
			return wttragetreportpart3Mapper.deleteByExample(example);
			
				
	}
	
	
	@Override
	public Wttragetreportpart3 selectByPrimaryKey(String id) {
				
			return wttragetreportpart3Mapper.selectByPrimaryKey(Integer.valueOf(id));
				
	}

	
	@Override
	public int updateByPrimaryKeySelective(Wttragetreportpart3 record) {
		return wttragetreportpart3Mapper.updateByPrimaryKeySelective(record);
	}
	
	
	/**
	 * 添加
	 */
	@Override
	public int insertSelective(Wttragetreportpart3 record) {
				
		
				
		return wttragetreportpart3Mapper.insertSelective(record);
	}
	
	
	@Override
	public int updateByExampleSelective(Wttragetreportpart3 record, Wttragetreportpart3Example example) {
		
		return wttragetreportpart3Mapper.updateByExampleSelective(record, example);
	}

	
	@Override
	public int updateByExample(Wttragetreportpart3 record, Wttragetreportpart3Example example) {
		
		return wttragetreportpart3Mapper.updateByExample(record, example);
	}

	@Override
	public List<Wttragetreportpart3> selectByExample(Wttragetreportpart3Example example) {
		
		return wttragetreportpart3Mapper.selectByExample(example);
	}

	
	@Override
	public long countByExample(Wttragetreportpart3Example example) {
		
		return wttragetreportpart3Mapper.countByExample(example);
	}

	
	@Override
	public int deleteByExample(Wttragetreportpart3Example example) {
		
		return wttragetreportpart3Mapper.deleteByExample(example);
	}

	public List<Wttragetreportpart3> findWttragetreportpart3(Integer tid,String wtId) {


		List<Wttragetreportpart3> list=new ArrayList<>();


		if(StringUtils.notEmp(tid) && StringUtils.notEmp(wtId))
		{
			Wttragetreportpart3Example example=new Wttragetreportpart3Example();
			example.setOrderByClause("recorddate asc");

			Wttragetreportpart3Example.Criteria criteria =example.createCriteria();

			criteria.andTidEqualTo(tid);
			criteria.andWtidEqualTo(wtId);
			list= wttragetreportpart3Mapper.selectByExample(example);
		}



		return list;

	}

}
